
#include <SPI.h>
#include <Adafruit_GFX.h>
#include <Max72xxPanel.h>

Max72xxPanel myMatrix = Max72xxPanel(9,1,1);
uint8_t  LEDArray[8];

const uint8_t matrix_img_183c7effffffe742[8] PROGMEM={0x18,0x3c,0x7e,0xff,0xff,0xff,0xe7,0x42};

void setup(){

}

void loop(){
  memcpy_P (&LEDArray, &matrix_img_183c7effffffe742, 8);
  for(int index_i=0; index_i<8; index_i++)
  {
    for(int index_j=1*8; index_j<1*8+8; index_j++)
    {
      if((LEDArray[index_i]&0x01)>0)
       myMatrix.drawPixel(index_j, 7-index_i,1);
  else
  myMatrix.drawPixel(index_j, 7-index_i,0);
       LEDArray[index_i] = LEDArray[index_i]>>1;
    }
  }
  myMatrix.write();

}
